Logo
OpenScaler
API Documentation/Load Balancer Frontends

Update a Frontend

Update (replace) an existing frontend configuration on the given load balancer.

PUT
/v1/lbs/{lb_id}/frontends/{frontend_name}

Authorization

AuthorizationRequiredBearer <token>

OAuth Authentication

OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.

Use the access_token in the Authorization header for requests:

Authorization: Bearer <token>

Always keep your token secure and do not share it with anyone.

In: header

Request Body

application/jsonRequired
nameRequiredstring

Unique name for this frontend.

modeRequiredstring

Protocol mode.

Value in: "tcp" | "http"
default_backendstring

Name of the default backend to use when no ACL matches.

bindsRequiredarray<object>

List of port/SSL bind configurations.

aclsarray<object>

List of ACL rules for conditional routing.

backendsarray<object>

Backend routing rules driven by ACLs.

optionsobject

Optional frontend-level settings.

Path Parameters

lb_idRequiredstring

A unique identifier for a load balancer instance.

frontend_nameRequiredstring

The name of a frontend on a load balancer.

curl -X PUT "https://api.alpha.openscaler.net/v1/lbs/42/frontends/my-frontend" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "https-frontend",
    "mode": "http",
    "default_backend": "main-backend",
    "binds": [
      {
        "port": 443,
        "ssl": true,
        "ssl_certificate": "my-cert",
        "use_http3": false
      }
    ],
    "acls": [
      {
        "name": "is_api",
        "criterion": "path_beg",
        "value": "/api"
      }
    ],
    "backends": [
      {
        "backend": "api-backend",
        "cond": "if",
        "test": "is_api"
      }
    ],
    "options": {
      "redirect_ssl": true,
      "forward_for": true
    }
  }'

Frontend updated successfully.

{
  "name": "https-frontend",
  "mode": "http",
  "default_backend": "main-backend",
  "binds": [
    {
      "port": 443,
      "ssl": true,
      "ssl_certificate": "my-cert",
      "use_http3": false
    }
  ],
  "acls": [
    {
      "name": "is_api",
      "criterion": "path_beg",
      "value": "/api"
    }
  ],
  "backends": [
    {
      "backend": "api-backend",
      "cond": "if",
      "test": "is_api"
    }
  ],
  "options": {
    "redirect_ssl": true,
    "forward_for": true
  }
}